Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: cups

Interfaces

### Description:

Common UNIX printing system.

### Interfaces:

cups_admin( domain , role )

##### Summary

All of the rules required to administrate an cups environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

cups_append_log( domain )

##### Summary

Append cups log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_backend( domain , entry_point )

##### Summary

Create a domain which can be started by cupsd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
entry_point | Type of the program to be used as an entry point to this domain.

cups_dbus_chat( domain )

##### Summary

Send and receive messages from cups over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_dbus_chat_config( domain )

##### Summary

Send and receive messages from cupsd_config over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_domtrans( domain )

##### Summary

Execute cups in the cups domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

cups_domtrans_config( domain )

##### Summary

Execute cups_config in the cups config domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

cups_read_config( domain )

##### Summary

Read cups configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_read_log( domain )

##### Summary

Read cups log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_read_pid_files( domain )

##### Summary

Read cups PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_read_rw_config( domain )

##### Summary

Read cups-writable configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_read_state( domain )

##### Summary

Read the process state (/proc/pid) of cupsd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_signal_config( domain )

##### Summary

Send generic signals to the cups configuration daemon.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_stream_connect( domain )

##### Summary

Connect to cupsd over an unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_stream_connect_ptal( domain )

##### Summary

Connect to ptal over an unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_tcp_connect( domain )

##### Summary

Connect to cups over TCP. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_write_log( domain )

##### Summary

Write cups log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return